Overview
DELETE/usage/principal-tiers/{scope}/{principalId}usage

Delete principal_tiers

Delete a record from principal-tiers by scope, principalId.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • scopepathstring
  • principalIdpathstring
Responses
204

Deleted

No response body.

401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/usage/principal-tiers/{scope}/{principalId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/usage/principal-tiers/{scope}/{principalId}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();